hours = numel(x)/40;

[XX,YY] = meshgrid(1:40,1:hours);

x_plot = x';
time = 1;
yviews = 100;
views = (numel(x)/40 - yviews);

figure(2)
%figure(1)
demo = pcolor(XX((time:(time+yviews-1)),:),YY((time:(time+yviews-1)),:),x_plot((time:(time+yviews-1)),:));
set(demo,'edgecolor','k')
set(gca,'ydir','reverse')
colorbar('EastOutside')
caxis([-15 15])
axis equal
axis([1 40 1 yviews])
xlabel('site')
ylabel('iteration')
slider1 = uicontrol('Style','slider','Min',1,'Max',views,'Callback','slidercallM53','SliderStep',[1/views,3/views], 'Value',1,'Position',[20, 20, 200, 30]);