function [dxdt] = finddxdt(x_j,F)
j = length(x_j);
x_jplus1 = zeros(j,1);
x_jminus2 = zeros(j,1);
x_jminus1 = zeros(j,1);
F_j = F.*ones(j,1);
x_jplus1(1:(j-1)) = x_j(2:j);
x_jplus1(j) = x_j(1); % wrap-around
x_jminus2(3:j) = x_j(1:(j-2));
x_jminus2(1) = x_j(j-1); % wrap-around
x_jminus2(2) = x_j(j); % wrap-around
x_jminus1(2:j) = x_j(1:(j-1));
x_jminus1(1) = x_j(j); % wrap-around
dxdt = (x_jplus1 - x_jminus2).*x_jminus1 - x_j + F_j;
end

